# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'design_storyboard/version'

Gem::Specification.new do |spec|
  spec.name          = "design-storyboard"
  spec.version       = DesignStoryboard::VERSION
  spec.authors       = ["Guanting Chen (guanting886)"]
  spec.email         = ["cgt886@gmail.com"]
  spec.summary       = %q{Easy to building design storyboard (for design/software work flow)}
  spec.description   = %q{Easy to building design storyboard (for design/software work flow) See: https://github.com/guanting886/design-storyboard/ }
  spec.homepage      = "https://github.com/guanting886/design-storyboard"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  # spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "thor", "~> 0.18"

  spec.post_install_message = <<EOS
---------------------------------------
Thanks for installing!
A new command `story` was added, enjoy!

$ story help
Commands:
  story build [INPUT_FILE_PATH]             # Build storyboard (html) from story file.
  story build [INPUT_FILE_PATH] --open      # Save file and open storeboard file with browser (Mac Only)
  story version                             # Prints version

---------------------------------------
EOS
end
